/* Breakpoints 320 mobile 480 tablet 1024 desktop */
:root {
  --base-color-primary: #24417f;
  /* --base-color-secondary: #7a7a7a; */
  --base-color-white: #ffffff;
  --base-color-black: #2d2d2d;
  --base-color-red: #c22525;
  --base-font-size: 13px;
  --base-spacing-height: 30px;
  --base-spacing-width: 30px;
  --base-border-radius: 20px;
  --base-desktop-page-width: 1024px;
  --base-hover-opacity: 0.6;
  --base-line-height: 1.6em;
}

.clearfix:after {
  content: ".";
  clear: both;
  display: block;
  height: 0;
  font-size: 0;
}

br {
  letter-spacing: 0;
}

body,
td,
th {
  font-family: "Noto Sans JP", sans-serif;
  font-size: var(--base-font-size);
  color: var(--base-color-black);
}

body {
  background-color: var(--base-color-white);
}

input[type="number"] {
  appearance: textfield;
  -moz-appearance: textfield;
}

/* 記事エリア */
.article {
  text-align: left;
  font-family: "Noto Serif JP", serif;
}

.article-title {
  font-size: calc(var(--base-font-size)*1.3);
  line-height: calc(var(--base-line-height));
}

.article-subtitle_leading {
  font-size: calc(var(--base-font-size)*1.1);
  line-height: calc(var(--base-line-height));
  margin-bottom: calc(var(--base-spacing-height)*1/6);
}

.article-subtitle_trailing {
  font-size: calc(var(--base-font-size)*1.1);
  line-height: calc(var(--base-line-height));
  margin-top:
    calc(var(--base-spacing-height)*1/6);
}

.article-catch {
  font-size: calc(var(--base-font-size)*1.3);
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*1/3);
}

.article-lead {
  font-size: calc(var(--base-font-size)*1.1);
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*1/3);
}

.article-body {
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*1/3);
}

.article-body a {
  color: var(--base-color-black);
  text-decoration: underline;
}

.article-body a:hover {
  color: var(--base-color-primary);
}

.article-para {
  margin: .5em 0;
}

.article-list {
  margin: .5em 0em .5em 1.5em;
  line-height: calc(var(--base-line-height)*0.9);
}

.article-list-item {
  margin: .3em 0;
}

.article-note_list {
  margin: .5em 0em .5em 1.5em;
  line-height: calc(var(--base-line-height)*0.9);
  font-size: calc(var(--base-font-size)*0.9);
  list-style-type: '※ ';
}

.article-note_list-item {
  margin: .3em 0;
}

.article-table {
  margin: .5em 0em;
  width: 100%;
  table-layout: fixed;
  background-color: var(--base-color-white);
}

.article-table-header_cell,
.article-table-cell {
  font-size: calc(var(--base-font-size)*0.9);
  padding: .5em 2em;
  border: solid 1px #cfced3;
  line-height: calc(var(--base-line-height)*0.9);
  text-align: left;
  box-sizing: border-box;
}

.article-table-header_cell {
  background-color: #eeeeee;
  text-align: center;
}

.article-aside {
  font-size: calc(var(--base-font-size)*0.9);
  text-align: left;
  line-height: calc(var(--base-line-height)*0.9);
  margin-top: calc(var(--base-spacing-height)*1/3);
}

/* データエリア */
.data_area {
  text-align: left;
  /* font-family: "Noto Serif JP", serif; */
}

.data_area-title {
  font-size: calc(var(--base-font-size)*1.3);
  line-height: calc(var(--base-line-height));
  color: var(--base-color-primary);
  text-align: center;
}


.data_area-body {
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*2/3);
}

.data_area-body a {
  color: var(--base-color-black);
  text-decoration: underline;
}

.data_area-body a:hover {
  color: var(--base-color-primary);
}

.data_area-note_list {
  margin: .5em 0em .5em 1.5em;
  line-height: calc(var(--base-line-height)*0.8);
  font-size: calc(var(--base-font-size)*0.8);
  list-style-type: '※ ';
}
.data_area-note_list-normark {
  margin: .5em 0em .5em 1.5em;
  line-height: calc(var(--base-line-height)*0.8);
  font-size: calc(var(--base-font-size)*0.8);
  list-style-type: '';
}

.data_area-note_list-item {
  color: red;
  margin: .3em 0;
}

.data_form-title,
.data_list-title {
  font-size: calc(var(--base-font-size)*1.1);
  line-height: calc(var(--base-line-height));
  color: var(--base-color-primary);
}

.data_form-body,
.data_list-body {
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*2/3);
}

.data_form-table {
  margin: .5em 0em;
  width: 100%;
  table-layout: fixed;
  background-color: var(--base-color-white);
}

.data_form-table-header_cell,
.data_form-table-cell {
//  font-size: calc(var(--base-font-size)*0.9);
//  line-height: calc(var(--base-line-height)*0.9);
  padding: .5em 1em;
  text-align: left;
  vertical-align: top;
  overflow-wrap: break-word;
   box-sizing: border-box;
}

.data_form-table-header_cell {
  width: 8em;
}

.required {
  color: var(--base-color-red) !important;
}

.data_form-input,
.data_form-textarea {
  width: calc(100% - 1em);
}
input[type="text"].data_form-input,
input[type="password"].data_form-input,
input[type="number"].data_form-input,
input[type="email"].data_form-input {
	font-size : 1em;
	line-height : normal;
	height: 28px;
    box-sizing: border-box; /* paddingを含めて高さを計算 */
}

.data_list-table-container {
  width: 100%;
  overflow: scroll;
}
.table_scroll{
  max-height: 600px;
  overflow-y: auto;
  scrollbar-gutter: stable;
}

.data_list-table {
  width: 200%;
  border-radius: calc(var(--base-border-radius)*1/3);
  table-layout: fixed;
  overflow: hidden;
  border: 1px solid #f5f5f5;
  background-color: #f5f5f5;
}

.data_list-table-header_cell,
.data_list-table-cell {
  font-size: calc(var(--base-font-size)*0.85);
  line-height: calc(var(--base-line-height)*0.85);
  padding: .5em 1em;
  border: 1px solid #d4d4d4;
  text-align: center;
  vertical-align: middle;
  overflow-wrap: break-word;
  box-sizing: border-box;
}

.data_list-table-header_cell {
  background-color: #e6e6e6;
  text-align: center;
}

.data_list-table-row:last-child .data_list-table-cell {
  border-bottom: none;
}

/* その他 */
.file_icon {
  height: 1.2em;
  vertical-align: -.2em;
  margin-right: .5em;
}

.link_icon {
  height: 1.8em;
  vertical-align: -.5em;
  margin-right: .5em;
}

.link_button {
  display: inline-block;
  width: auto;
  line-height: 1em;
  font-size: 1em;
  text-align: center;
  vertical-align: middle;
  font-weight: normal;
  color: var(--base-color-white) !important;
  background-color: var(--base-color-primary);
  border: solid 1px var(--base-color-primary);
  text-decoration: none !important;
}

.link_button:hover {
}

.link_button.small {
  padding: .2em .5em .4em .5em;
  border-radius: calc(var(--base-border-radius)/4);
  font-size: calc(var(--base-font-size)*0.9);
  margin: 0.1em 0;
}

.link_button.medium {
  font-size: calc(var(--base-font-size)*0.9);
  padding: .9em 3em !important;
  border-radius: 2em;
}

.nowrap {
  display: inline-block;
}

sub {
  font-size: .7em;
  vertical-align: sub;
}

sup {
  font-size: .7em;
  vertical-align: sup;
}

strong {
  font-weight: bold;
}

small {
  font-size: .9em;
}

/* フォーム */
.button {
  display: inline-block;
  width: auto;
  padding: .9em 3em !important;
  margin: .3em .3em;
  line-height: 1em;
  font-size: 1em;
  text-align: center;
  color: var(--base-color-white) !important;
  background-color: #aaaaaa;
  text-decoration:
    none !important;
  border-radius: 2em;
}

.button:hover {
  cursor: pointer;
  opacity: 0.7;
}

.button.submit {
  background-color: var(--base-color-primary);
}

input[type=text],
input[type=password],
input[type="email"],
select,
textarea {
  border: solid 1px #aaaaaa;
  background-color: #ffffff;
  border-radius: .2em;
  font-size: 1em;
}

input[type=radio]{
i   background-color: initial;
    cursor: default;
    appearance: auto;
    box-sizing: border-box;
    padding: initial;
    border: initial;
    margin: 3px 3px 3px 4px;
}

input[type=text],
input[type=month],
input[type=password],
input[type="email"] {
  line-height: 1em;
  padding: .3em .5em;
}

textarea {
  padding: .3em .9em;
}

select {
  line-height: 1em;
  padding: .1em .2em;
  text-align: left;
}

input[readonly],
select[readonly],
textarea[readonly] {
  background-color: #f5f5f5;
  border: solid 1px #f5f5f5;
}

input.error,
select.error,
textarea.error {
  background-color: #ffe4e1 !important;
  border-color: #ee0000 !important;
}

::placeholder {
  color: #aaaaaa;
}

@media screen and (min-width: 480px),
print {
  :root {
    --base-font-size: 15px;
  }
}

@media screen and (min-width: 1024px),
print {
  :root {
    --base-font-size: 18px;
  }

  /* データエリア */
  .data_list-table-container {
    width: auto;
    overflow: visible;
  }

  .data_list-table {
    width: 100%;
  }
}

/* 日科追加 */
/* 注記エリア */
.attention_body {
  line-height: calc(var(--base-line-height));
  margin-top: calc(var(--base-spacing-height)*2/3);
}
.attention_list {
  margin: .5em 0em .5em 1.5em;
  line-height: calc(var(--base-line-height)*0.9);
  font-size: calc(var(--base-font-size)*0.9);
  list-style: none;
}

.attention_list-item {
  margin: .3em 0;
  text-align: left;
  color: red;
}
/* 画面注記 */
.attention_text  {
  text-align: center;
}
.error_text {
  text-align: center;
  color: red;
}

/* エラー用 */
.backgrond_alert{
  background-color: #ffe4e1 !important;
  border-color: #ee0000 !important;
  /* background-color: rgb(255, 227, 233) !important;*/
}
.font_alert{
	color: red;
    background-color: #ffe4e1 !important;
	display: inline;
	text-align: left;
}

#empty_alert > p,
#empty_alert_new_contract > p,
#empty_alert_new_contract_change > p {
    text-align: left;
}

.font_attention_small{
	font-size: small;
	color: var(--base-color-black);
	padding-left: 1em;
	height: 7px;
	font-weight: normal;
}
.font_attention_small::before{
	content: "* ";
}

.button:disabled {
    cursor: not-allowed;
    opacity: 0.7;
}
.hidden {
	display : none;
}

.link_button.warning {
  border: none;
  background-color: #ffc107;
}

